Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90	(revision 5116)
@@ -247,57 +247,57 @@
   ! PRINT*,' isccp_cloud_types npoints=',npoints
 
-  ! if ( debug.ne.0 ) then
+  ! if ( debug.ne.0 ) THEN
   ! j=1
-  ! write(6,'(a10)') 'j='
-  ! write(6,'(8I10)') j
-  ! write(6,'(a10)') 'debug='
-  ! write(6,'(8I10)') debug
-  ! write(6,'(a10)') 'debugcol='
-  ! write(6,'(8I10)') debugcol
-  ! write(6,'(a10)') 'npoints='
-  ! write(6,'(8I10)') npoints
-  ! write(6,'(a10)') 'nlev='
-  ! write(6,'(8I10)') nlev
-  ! write(6,'(a10)') 'ncol='
-  ! write(6,'(8I10)') ncol
-  ! write(6,'(a10)') 'top_height='
-  ! write(6,'(8I10)') top_height
-  ! write(6,'(a10)') 'overlap='
-  ! write(6,'(8I10)') overlap
-  ! write(6,'(a10)') 'emsfc_lw='
-  ! write(6,'(8f10.2)') emsfc_lw
-  ! write(6,'(a10)') 'tautab='
-  ! write(6,'(8f10.2)') tautab
-  ! write(6,'(a10)') 'invtau(1:100)='
-  ! write(6,'(8i10)') (invtau(i),i=1,100)
+  ! WRITE(6,'(a10)') 'j='
+  ! WRITE(6,'(8I10)') j
+  ! WRITE(6,'(a10)') 'debug='
+  ! WRITE(6,'(8I10)') debug
+  ! WRITE(6,'(a10)') 'debugcol='
+  ! WRITE(6,'(8I10)') debugcol
+  ! WRITE(6,'(a10)') 'npoints='
+  ! WRITE(6,'(8I10)') npoints
+  ! WRITE(6,'(a10)') 'nlev='
+  ! WRITE(6,'(8I10)') nlev
+  ! WRITE(6,'(a10)') 'ncol='
+  ! WRITE(6,'(8I10)') ncol
+  ! WRITE(6,'(a10)') 'top_height='
+  ! WRITE(6,'(8I10)') top_height
+  ! WRITE(6,'(a10)') 'overlap='
+  ! WRITE(6,'(8I10)') overlap
+  ! WRITE(6,'(a10)') 'emsfc_lw='
+  ! WRITE(6,'(8f10.2)') emsfc_lw
+  ! WRITE(6,'(a10)') 'tautab='
+  ! WRITE(6,'(8f10.2)') tautab
+  ! WRITE(6,'(a10)') 'invtau(1:100)='
+  ! WRITE(6,'(8i10)') (invtau(i),i=1,100)
   ! do j=1,npoints,debug
-  ! write(6,'(a10)') 'j='
-  ! write(6,'(8I10)') j
-  ! write(6,'(a10)') 'sunlit='
-  ! write(6,'(8I10)') sunlit(j)
-  ! write(6,'(a10)') 'seed='
-  ! write(6,'(8I10)') seed(j)
-  ! write(6,'(a10)') 'pfull='
-  ! write(6,'(8f10.2)') (pfull(j,i),i=1,nlev)
-  ! write(6,'(a10)') 'phalf='
-  ! write(6,'(8f10.2)') (phalf(j,i),i=1,nlev+1)
-  ! write(6,'(a10)') 'qv='
-  ! write(6,'(8f10.3)') (qv(j,i),i=1,nlev)
-  ! write(6,'(a10)') 'cc='
-  ! write(6,'(8f10.3)') (cc(j,i),i=1,nlev)
-  ! write(6,'(a10)') 'conv='
-  ! write(6,'(8f10.2)') (conv(j,i),i=1,nlev)
-  ! write(6,'(a10)') 'dtau_s='
-  ! write(6,'(8g12.5)') (dtau_s(j,i),i=1,nlev)
-  ! write(6,'(a10)') 'dtau_c='
-  ! write(6,'(8f10.2)') (dtau_c(j,i),i=1,nlev)
-  ! write(6,'(a10)') 'skt='
-  ! write(6,'(8f10.2)') skt(j)
-  ! write(6,'(a10)') 'at='
-  ! write(6,'(8f10.2)') (at(j,i),i=1,nlev)
-  ! write(6,'(a10)') 'dem_s='
-  ! write(6,'(8f10.3)') (dem_s(j,i),i=1,nlev)
-  ! write(6,'(a10)') 'dem_c='
-  ! write(6,'(8f10.2)') (dem_c(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'j='
+  ! WRITE(6,'(8I10)') j
+  ! WRITE(6,'(a10)') 'sunlit='
+  ! WRITE(6,'(8I10)') sunlit(j)
+  ! WRITE(6,'(a10)') 'seed='
+  ! WRITE(6,'(8I10)') seed(j)
+  ! WRITE(6,'(a10)') 'pfull='
+  ! WRITE(6,'(8f10.2)') (pfull(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'phalf='
+  ! WRITE(6,'(8f10.2)') (phalf(j,i),i=1,nlev+1)
+  ! WRITE(6,'(a10)') 'qv='
+  ! WRITE(6,'(8f10.3)') (qv(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'cc='
+  ! WRITE(6,'(8f10.3)') (cc(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'conv='
+  ! WRITE(6,'(8f10.2)') (conv(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'dtau_s='
+  ! WRITE(6,'(8g12.5)') (dtau_s(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'dtau_c='
+  ! WRITE(6,'(8f10.2)') (dtau_c(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'skt='
+  ! WRITE(6,'(8f10.2)') skt(j)
+  ! WRITE(6,'(a10)') 'at='
+  ! WRITE(6,'(8f10.2)') (at(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'dem_s='
+  ! WRITE(6,'(8f10.3)') (dem_s(j,i),i=1,nlev)
+  ! WRITE(6,'(a10)') 'dem_c='
+  ! WRITE(6,'(8f10.2)') (dem_c(j,i),i=1,nlev)
   ! enddo
   ! endif
@@ -338,8 +338,8 @@
   ! IM
   ! IM
-  ! if (ncolprint.ne.0) then
+  ! if (ncolprint.ne.0) THEN
   ! do j=1,npoints,1000
-  ! write(6,'(a10)') 'j='
-  ! write(6,'(8I10)') j
+  ! WRITE(6,'(a10)') 'j='
+  ! WRITE(6,'(8I10)') j
   ! write (6,'(a)') 'seed:'
   ! write (6,'(I3.2)') seed(j)
@@ -391,5 +391,5 @@
   ! num1=0
   ! do j=1,npoints
-  ! if (cc(j,ilev) .lt. 0. .or. cc(j,ilev) .gt. 1.) then
+  ! if (cc(j,ilev) .lt. 0. .or. cc(j,ilev) .gt. 1.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -398,14 +398,14 @@
   ! do jj=1,num1
   ! j=index1(jj)
-  ! write(6,*)  ' error = cloud fraction less than zero'
-  ! write(6,*) ' or '
-  ! write(6,*)  ' error = cloud fraction greater than 1'
-  ! write(6,*) 'value at point ',j,' is ',cc(j,ilev)
-  ! write(6,*) 'level ',ilev
+  ! WRITE(6,*)  ' error = cloud fraction less than zero'
+  ! WRITE(6,*) ' or '
+  ! WRITE(6,*)  ' error = cloud fraction greater than 1'
+  ! WRITE(6,*) 'value at point ',j,' is ',cc(j,ilev)
+  ! WRITE(6,*) 'level ',ilev
   ! STOP
   ! enddo
   ! num1=0
   ! do j=1,npoints
-  ! if (conv(j,ilev) .lt. 0. .or. conv(j,ilev) .gt. 1.) then
+  ! if (conv(j,ilev) .lt. 0. .or. conv(j,ilev) .gt. 1.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -414,11 +414,11 @@
   ! do jj=1,num1
   ! j=index1(jj)
-  ! write(6,*)
+  ! WRITE(6,*)
   ! &           ' error = convective cloud fraction less than zero'
-  ! write(6,*) ' or '
-  ! write(6,*)
+  ! WRITE(6,*) ' or '
+  ! WRITE(6,*)
   ! &           ' error = convective cloud fraction greater than 1'
-  ! write(6,*) 'value at point ',j,' is ',conv(j,ilev)
-  ! write(6,*) 'level ',ilev
+  ! WRITE(6,*) 'value at point ',j,' is ',conv(j,ilev)
+  ! WRITE(6,*) 'level ',ilev
   ! STOP
   ! enddo
@@ -426,5 +426,5 @@
   ! num1=0
   ! do j=1,npoints
-  ! if (dtau_s(j,ilev) .lt. 0.) then
+  ! if (dtau_s(j,ilev) .lt. 0.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -433,13 +433,13 @@
   ! do jj=1,num1
   ! j=index1(jj)
-  ! write(6,*)
+  ! WRITE(6,*)
   ! &           ' error = stratiform cloud opt. depth less than zero'
-  ! write(6,*) 'value at point ',j,' is ',dtau_s(j,ilev)
-  ! write(6,*) 'level ',ilev
+  ! WRITE(6,*) 'value at point ',j,' is ',dtau_s(j,ilev)
+  ! WRITE(6,*) 'level ',ilev
   ! STOP
   ! enddo
   ! num1=0
   ! do j=1,npoints
-  ! if (dtau_c(j,ilev) .lt. 0.) then
+  ! if (dtau_c(j,ilev) .lt. 0.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -448,8 +448,8 @@
   ! do jj=1,num1
   ! j=index1(jj)
-  ! write(6,*)
+  ! WRITE(6,*)
   ! &           ' error = convective cloud opt. depth less than zero'
-  ! write(6,*) 'value at point ',j,' is ',dtau_c(j,ilev)
-  ! write(6,*) 'level ',ilev
+  ! WRITE(6,*) 'value at point ',j,' is ',dtau_c(j,ilev)
+  ! WRITE(6,*) 'level ',ilev
   ! STOP
   ! enddo
@@ -457,5 +457,5 @@
   ! num1=0
   ! do j=1,npoints
-  ! if (dem_s(j,ilev) .lt. 0. .or. dem_s(j,ilev) .gt. 1.) then
+  ! if (dem_s(j,ilev) .lt. 0. .or. dem_s(j,ilev) .gt. 1.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -464,11 +464,11 @@
   ! do jj=1,num1
   ! j=index1(jj)
-  ! write(6,*)
+  ! WRITE(6,*)
   ! &           ' error = stratiform cloud emissivity less than zero'
-  ! write(6,*)'or'
-  ! write(6,*)
+  ! WRITE(6,*)'or'
+  ! WRITE(6,*)
   ! &           ' error = stratiform cloud emissivity greater than 1'
-  ! write(6,*) 'value at point ',j,' is ',dem_s(j,ilev)
-  ! write(6,*) 'level ',ilev
+  ! WRITE(6,*) 'value at point ',j,' is ',dem_s(j,ilev)
+  ! WRITE(6,*) 'level ',ilev
   ! STOP
   ! enddo
@@ -476,5 +476,5 @@
   ! num1=0
   ! do j=1,npoints
-  ! if (dem_c(j,ilev) .lt. 0. .or. dem_c(j,ilev) .gt. 1.) then
+  ! if (dem_c(j,ilev) .lt. 0. .or. dem_c(j,ilev) .gt. 1.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -483,8 +483,8 @@
   ! do jj=1,num1
   ! j=index1(jj)
-  ! write(6,*)
+  ! WRITE(6,*)
   ! &           ' error = convective cloud emissivity less than zero'
-  ! write(6,*)'or'
-  ! write(6,*)
+  ! WRITE(6,*)'or'
+  ! WRITE(6,*)
   ! &           ' error = convective cloud emissivity greater than 1'
   ! write (6,*)
@@ -516,9 +516,9 @@
 
   ! IM
-  ! if (ncolprint.ne.0) then
+  ! if (ncolprint.ne.0) THEN
   ! write (6,'(a)') 'frac_out_pp_rev:'
   ! do j=1,npoints,1000
-  ! write(6,'(a10)') 'j='
-  ! write(6,'(8I10)') j
+  ! WRITE(6,'(a10)') 'j='
+  ! WRITE(6,'(8I10)') j
   ! write (6,'(8f5.2)')
   ! &     ((frac_out(j,ibox,ilev),ibox=1,ncolprint),ilev=1,nlev)
@@ -528,9 +528,9 @@
   ! write (6,'(I3)') ncol
   ! endif
-  ! if (ncolprint.ne.0) then
+  ! if (ncolprint.ne.0) THEN
   ! write (6,'(a)') 'last_frac_pp:'
   ! do j=1,npoints,1000
-  ! write(6,'(a10)') 'j='
-  ! write(6,'(8I10)') j
+  ! WRITE(6,'(a10)') 'j='
+  ! WRITE(6,'(8I10)') j
   ! write (6,'(8f5.2)') (tca(j,0))
   ! enddo
@@ -570,9 +570,9 @@
       END IF
       ! IM
-      ! IF (ncolprint.ne.0) then
+      ! IF (ncolprint.ne.0) THEN
       ! write (6,'(a)') 'threshold_nsf2:'
       ! do j=1,npoints,1000
-      ! write(6,'(a10)') 'j='
-      ! write(6,'(8I10)') j
+      ! WRITE(6,'(a10)') 'j='
+      ! WRITE(6,'(8I10)') j
       ! write (6,'(8f5.2)') (threshold(j,ibox),ibox=1,ncolprint)
       ! enddo
@@ -580,5 +580,5 @@
     END IF
 
-    ! IF (ncolprint.ne.0) then
+    ! IF (ncolprint.ne.0) THEN
     ! write (6,'(a)') 'ilev:'
     ! write (6,'(I2)') ilev
@@ -681,9 +681,8 @@
 
     ! IM
-    ! if (ncolprint.ne.0) then
-
+    ! if (ncolprint.ne.0) THEN
     ! do j=1,npoints ,1000
-    ! write(6,'(a10)') 'j='
-    ! write(6,'(8I10)') j
+    ! WRITE(6,'(a10)') 'j='
+    ! WRITE(6,'(8I10)') j
     ! write (6,'(a)') 'last_frac:'
     ! write (6,'(8f5.2)') (tca(j,ilev-1))
@@ -738,9 +737,9 @@
     DO ibox = 1, ncol
       DO j = 1, npoints
-        ! IM REAL              if (frac_out(j,ibox,ilev).eq.1) then
+        ! IM REAL              if (frac_out(j,ibox,ilev).eq.1) THEN
         IF (frac_out(j,ibox,ilev)==1.0) THEN
           tau(j, ibox) = tau(j, ibox) + dtau_s(j, ilev)
         END IF
-        ! IM REAL              if (frac_out(j,ibox,ilev).eq.2) then
+        ! IM REAL              if (frac_out(j,ibox,ilev).eq.2) THEN
         IF (frac_out(j,ibox,ilev)==2.0) THEN
           tau(j, ibox) = tau(j, ibox) + dtau_c(j, ilev)
@@ -750,10 +749,9 @@
   END DO ! ilev
   ! IM
-  ! if (ncolprint.ne.0) then
-
+  ! if (ncolprint.ne.0) THEN
   ! do j=1,npoints ,1000
-  ! write(6,'(a10)') 'j='
-  ! write(6,'(8I10)') j
-  ! write(6,'(i2,1X,8(f7.2,1X))')
+  ! WRITE(6,'(a10)') 'j='
+  ! WRITE(6,'(8I10)') j
+  ! WRITE(6,'(i2,1X,8(f7.2,1X))')
   ! &          ilev,
   ! &          (tau(j,ibox),ibox=1,ncolprint)
@@ -799,5 +797,5 @@
     ! IM
     ! if (ncolprint .ne. 0)
-    ! &         write(6,*)  'ilev   pw (kg/m2)   tauwv(j)      dem_wv'
+    ! &         WRITE(6,*)  'ilev   pw (kg/m2)   tauwv(j)      dem_wv'
     DO ilev = 1, nlev
       DO j = 1, npoints
@@ -818,9 +816,9 @@
       END DO
       ! IM
-      ! if (ncolprint .ne. 0) then
+      ! if (ncolprint .ne. 0) THEN
       ! do j=1,npoints ,1000
-      ! write(6,'(a10)') 'j='
-      ! write(6,'(8I10)') j
-      ! write(6,'(i2,1X,3(f8.3,3X))') ilev,
+      ! WRITE(6,'(a10)') 'j='
+      ! WRITE(6,'(8I10)') j
+      ! WRITE(6,'(i2,1X,3(f8.3,3X))') ilev,
       ! &           qv(j,ilev)*(phalf(j,ilev+1)-phalf(j,ilev))/(grav/100.),
       ! &           tauwv(j),dem_wv(j,ilev)
@@ -858,8 +856,8 @@
       END DO
       ! IM
-      ! if (ncolprint.ne.0) then
+      ! if (ncolprint.ne.0) THEN
       ! do j=1,npoints ,1000
-      ! write(6,'(a10)') 'j='
-      ! write(6,'(8I10)') j
+      ! WRITE(6,'(a10)') 'j='
+      ! WRITE(6,'(8I10)') j
       ! write (6,'(a)') 'ilev:'
       ! write (6,'(I2)') ilev
@@ -884,8 +882,8 @@
 
     ! IM
-    ! if (ncolprint.ne.0) then
+    ! if (ncolprint.ne.0) THEN
     ! do j=1,npoints ,1000
-    ! write(6,'(a10)') 'j='
-    ! write(6,'(8I10)') j
+    ! WRITE(6,'(a10)') 'j='
+    ! WRITE(6,'(8I10)') j
     ! write (6,'(a)') 'id:'
     ! write (6,'(a)') 'surface'
@@ -904,9 +902,8 @@
 
     ! IM
-    ! if (ncolprint.ne.0) then
-
+    ! if (ncolprint.ne.0) THEN
     ! do j=1,npoints ,1000
-    ! write(6,'(a10)') 'j='
-    ! write(6,'(8I10)') j
+    ! WRITE(6,'(a10)') 'j='
+    ! WRITE(6,'(8I10)') j
     ! write (6,'(a)') 'ts:'
     ! write (6,'(8f7.2)') (skt(j),ibox=1,ncolprint)
@@ -938,8 +935,8 @@
 
             ! emissivity for point in this layer
-          ! IM REAL             if (frac_out(j,ibox,ilev).eq.1) then
+          ! IM REAL             if (frac_out(j,ibox,ilev).eq.1) THEN
           IF (frac_out(j,ibox,ilev)==1.0) THEN
             dem(j, ibox) = 1. - ((1.-dem_wv(j,ilev))*(1.-dem_s(j,ilev)))
-            ! IM REAL             else if (frac_out(j,ibox,ilev).eq.2) then
+            ! IM REAL             else if (frac_out(j,ibox,ilev).eq.2) THEN
           ELSE IF (frac_out(j,ibox,ilev)==2.0) THEN
             dem(j, ibox) = 1. - ((1.-dem_wv(j,ilev))*(1.-dem_c(j,ilev)))
@@ -965,11 +962,11 @@
 
       ! IM
-      ! if (ncolprint.ne.0) then
+      ! if (ncolprint.ne.0) THEN
       ! do j=1,npoints,1000
       ! write (6,'(a)') 'ilev:'
       ! write (6,'(I2)') ilev
 
-      ! write(6,'(a10)') 'j='
-      ! write(6,'(8I10)') j
+      ! WRITE(6,'(a10)') 'j='
+      ! WRITE(6,'(8I10)') j
       ! write (6,'(a)') 'emiss_layer:'
       ! write (6,'(8f7.2)') (dem(j,ibox),ibox=1,ncolprint)
@@ -1009,9 +1006,8 @@
 
     ! IM
-    ! if (ncolprint.ne.0) then
-
+    ! if (ncolprint.ne.0) THEN
     ! do j=1,npoints ,1000
-    ! write(6,'(a10)') 'j='
-    ! write(6,'(8I10)') j
+    ! WRITE(6,'(a10)') 'j='
+    ! WRITE(6,'(8I10)') j
     ! write (6,'(a)') 'id:'
     ! write (6,'(a)') 'surface'
@@ -1103,9 +1099,8 @@
 
     ! IM
-    ! if (ncolprint.ne.0) then
-
+    ! if (ncolprint.ne.0) THEN
     ! do j=1,npoints,1000
-    ! write(6,'(a10)') 'j='
-    ! write(6,'(8I10)') j
+    ! WRITE(6,'(a10)') 'j='
+    ! WRITE(6,'(8I10)') j
 
     ! write (6,'(a)') 'attrop:'
@@ -1212,5 +1207,5 @@
           IF ((ptop(j,ibox)==0.) & ! IM  &
                                    ! .and.(frac_out(j,ibox,ilev) .ne. 0))
-                                   ! then
+                                   ! THEN
               .AND. (frac_out(j,ibox,ilev)/=0.0)) THEN
             ptop(j, ibox) = pfull(j, ilev)
@@ -1388,23 +1383,23 @@
           ! IM           ipres(j) = 0
 
-          ! if (tau(j,ibox) .lt. isccp_taumin) then
+          ! if (tau(j,ibox) .lt. isccp_taumin) THEN
           ! itau(j)=1
           ! else if (tau(j,ibox) .ge. isccp_taumin
           ! &
-          ! &          .and. tau(j,ibox) .lt. 1.3) then
+          ! &          .and. tau(j,ibox) .lt. 1.3) THEN
           ! itau(j)=2
           ! else if (tau(j,ibox) .ge. 1.3
-          ! &          .and. tau(j,ibox) .lt. 3.6) then
+          ! &          .and. tau(j,ibox) .lt. 3.6) THEN
           ! itau(j)=3
           ! else if (tau(j,ibox) .ge. 3.6
-          ! &          .and. tau(j,ibox) .lt. 9.4) then
+          ! &          .and. tau(j,ibox) .lt. 9.4) THEN
           ! itau(j)=4
           ! else if (tau(j,ibox) .ge. 9.4
-          ! &          .and. tau(j,ibox) .lt. 23.) then
+          ! &          .and. tau(j,ibox) .lt. 23.) THEN
           ! itau(j)=5
           ! else if (tau(j,ibox) .ge. 23.
-          ! &          .and. tau(j,ibox) .lt. 60.) then
+          ! &          .and. tau(j,ibox) .lt. 60.) THEN
           ! itau(j)=6
-          ! else if (tau(j,ibox) .ge. 60.) then
+          ! else if (tau(j,ibox) .ge. 60.) THEN
           ! itau(j)=7
           ! end if
@@ -1412,22 +1407,22 @@
           !determine cloud top pressure category
           ! if (    ptop(j,ibox) .gt. 0.
-          ! &          .and.ptop(j,ibox) .lt. 180.) then
+          ! &          .and.ptop(j,ibox) .lt. 180.) THEN
           ! ipres(j)=1
-          ! else if(ptop(j,ibox) .ge. 180.
-          ! &          .and.ptop(j,ibox) .lt. 310.) then
+          ! else IF(ptop(j,ibox) .ge. 180.
+          ! &          .and.ptop(j,ibox) .lt. 310.) THEN
           ! ipres(j)=2
-          ! else if(ptop(j,ibox) .ge. 310.
-          ! &          .and.ptop(j,ibox) .lt. 440.) then
+          ! else IF(ptop(j,ibox) .ge. 310.
+          ! &          .and.ptop(j,ibox) .lt. 440.) THEN
           ! ipres(j)=3
-          ! else if(ptop(j,ibox) .ge. 440.
-          ! &          .and.ptop(j,ibox) .lt. 560.) then
+          ! else IF(ptop(j,ibox) .ge. 440.
+          ! &          .and.ptop(j,ibox) .lt. 560.) THEN
           ! ipres(j)=4
-          ! else if(ptop(j,ibox) .ge. 560.
-          ! &          .and.ptop(j,ibox) .lt. 680.) then
+          ! else IF(ptop(j,ibox) .ge. 560.
+          ! &          .and.ptop(j,ibox) .lt. 680.) THEN
           ! ipres(j)=5
-          ! else if(ptop(j,ibox) .ge. 680.
-          ! &          .and.ptop(j,ibox) .lt. 800.) then
+          ! else IF(ptop(j,ibox) .ge. 680.
+          ! &          .and.ptop(j,ibox) .lt. 800.) THEN
           ! ipres(j)=6
-          ! else if(ptop(j,ibox) .ge. 800.) then
+          ! else IF(ptop(j,ibox) .ge. 800.) THEN
           ! ipres(j)=7
           ! end if
@@ -1443,7 +1438,7 @@
           ! pctj(itau(j),ipres(j),iw(j))=.FALSE.
           !update frequencies W500
-          ! if (pct_ocean(j)) then
-          ! if (ipres(j) .gt. 0.and.itau(j) .gt. 0) then
-          ! if (iw(j) .gt. int(wmin).and.iw(j) .le. iwmx) then
+          ! if (pct_ocean(j)) THEN
+          ! if (ipres(j) .gt. 0.and.itau(j) .gt. 0) THEN
+          ! if (iw(j) .gt. int(wmin).and.iw(j) .le. iwmx) THEN
           ! PRINT*,' ISCCP iw=',iw(j),j
           ! fq_dynreg(itau(j),ipres(j),iw(j))=
@@ -1472,16 +1467,16 @@
     ! IM ajout stats s/ W500 END
 
-    ! if(j.EQ.6722) then
+    ! IF(j.EQ.6722) THEN
     ! PRINT*,' ISCCP',w(j),iw(j),ipres(j),itau(j)
     ! endif
 
-    ! if (pct_ocean(j)) then
-    ! if (ipres(j) .gt. 0.and.itau(j) .gt. 0) then
-    ! if (iw(j) .gt. int(wmin).and.iw(j) .le. iwmx) then
-    ! if(pctj(itau(j),ipres(j),iw(j))) THEN
+    ! if (pct_ocean(j)) THEN
+    ! if (ipres(j) .gt. 0.and.itau(j) .gt. 0) THEN
+    ! if (iw(j) .gt. int(wmin).and.iw(j) .le. iwmx) THEN
+    ! IF(pctj(itau(j),ipres(j),iw(j))) THEN
     ! nfq_dynreg(itau(j),ipres(j),iw(j))=
     ! &    nfq_dynreg(itau(j),ipres(j),iw(j))+1.
-    ! if(itau(j).EQ.4.AND.ipres(j).EQ.2.AND.
-    ! &    iw(j).EQ.10) then
+    ! IF(itau(j).EQ.4.AND.ipres(j).EQ.2.AND.
+    ! &    iw(j).EQ.10) THEN
     ! PRINT*,' isccp AVANT',
     ! &    nfq_dynreg(itau(j),ipres(j),iw(j)),
@@ -1510,12 +1505,12 @@
   ! do l = 1, 7
   ! do k = 1, 7
-  ! if (nfq_dynreg(k,l,nw).GT.0.) then
+  ! if (nfq_dynreg(k,l,nw).GT.0.) THEN
   ! fq_dynreg(k,l,nw) = fq_dynreg(k,l,nw)/nfq_dynreg(k,l,nw)
-  ! if(k.EQ.4.AND.l.EQ.2.AND.nw.EQ.10) then
+  ! IF(k.EQ.4.AND.l.EQ.2.AND.nw.EQ.10) THEN
   ! PRINT*,' isccp APRES',nfq_dynreg(k,l,nw),
   ! &   fq_dynreg(k,l,nw)
   ! endif
   ! else
-  ! if(fq_dynreg(k,l,nw).NE.0.) then
+  ! IF(fq_dynreg(k,l,nw).NE.0.) THEN
   ! PRINT*,'nfq_dynreg = 0 tau,pc,nw',k,l,nw,fq_dynreg(k,l,nw)
   ! endif
@@ -1533,6 +1528,5 @@
 
   ! cIM
-  ! if (debugcol.ne.0) then
-
+  ! if (debugcol.ne.0) THEN
   ! do j=1,npoints,debugcol
 
@@ -1554,15 +1548,15 @@
     !print test
 
-  ! write(ftn09,11) j
+  ! WRITE(ftn09,11) j
   ! 11        format('ftn09.',i4.4)
   ! open(9, FILE=ftn09, FORM='FORMATTED')
 
-  ! write(9,'(a1)') ' '
-  ! write(9,'(10i5)')
+  ! WRITE(9,'(a1)') ' '
+  ! WRITE(9,'(10i5)')
   ! &                  (ilev,ilev=5,nlev,5)
-  ! write(9,'(a1)') ' '
+  ! WRITE(9,'(a1)') ' '
 
   ! do ibox=1,ncol
-  ! write(9,'(40(a1),1x,40(a1))')
+  ! WRITE(9,'(40(a1),1x,40(a1))')
   ! &           (cchar_realtops(acc(ilev,ibox)+1),ilev=1,nlev)
   ! &           ,(cchar(acc(ilev,ibox)+1),ilev=1,nlev)
@@ -1571,7 +1565,7 @@
 
   ! IM
-  ! if (ncolprint.ne.0) then
-  ! write(6,'(a1)') ' '
-  ! write(6,'(a2,1X,5(a7,1X),a50)')
+  ! if (ncolprint.ne.0) THEN
+  ! WRITE(6,'(a1)') ' '
+  ! WRITE(6,'(a2,1X,5(a7,1X),a50)')
   ! &                  'ilev',
   ! &                  'pfull','at',
@@ -1580,6 +1574,6 @@
 
   ! do 4012 ilev=1,nlev
-  ! write(6,'(60i2)') (box(i,ilev),i=1,ncolprint)
-  ! write(6,'(i2,1X,5(f7.2,1X),50(a1))')
+  ! WRITE(6,'(60i2)') (box(i,ilev),i=1,ncolprint)
+  ! WRITE(6,'(i2,1X,5(f7.2,1X),50(a1))')
   ! &                  ilev,
   ! &                  pfull(j,ilev)/100.,at(j,ilev),
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5116)
@@ -158,5 +158,5 @@
 ! 2) Read fraction, if not type_ocean=couple
 ! 3) Read sea surface temperature, if not type_ocean=couple
-! 4) Read albedo and rugosity for land surface, only in case of no vegetation model
+! 4) Read albedo and rugosity for land surface, ONLY in case of no vegetation model
 ! 5) Close file and distribuate variables to all processus
 
@@ -401,5 +401,5 @@
 
 !****************************************************************************************
-! 4) Read albedo and rugosity for land surface, only in case of no vegetation model
+! 4) Read albedo and rugosity for land surface, ONLY in case of no vegetation model
 
 !****************************************************************************************
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5116)
@@ -29,32 +29,32 @@
 
 !!-------------------------------------------------------------------------------------------------------------
-! integer :: iflag_atke        ! flag that controls options in atke_compute_km_kh
-! integer :: iflag_atke_lmix   ! flag that controls the calculation of mixing length in atke
-! integer :: iflag_num_atke    ! flag that controls the numerical treatment of diffusion coeffiient calculation
+! INTEGER :: iflag_atke        ! flag that controls options in atke_compute_km_kh
+! INTEGER :: iflag_atke_lmix   ! flag that controls the calculation of mixing length in atke
+! INTEGER :: iflag_num_atke    ! flag that controls the numerical treatment of diffusion coeffiient calculation
 
 ! logical :: atke_ok_vdiff    ! activate vertical diffusion of TKE or not
 ! logical :: atke_ok_virtual  ! account for vapor for flottability
 
-! real :: kappa = 0.4         ! Von Karman constant
-! real :: cn                  ! Sm value at Ri=0
-! real :: cinf                ! Sm value at Ri=-Inf
-! real :: ri0                 ! Richardson number near zero to guarantee continuity in slope of Sm (stability function) at Ri=0
-! real :: ri1                 ! Richardson number near zero to guarantee continuity in slope of Pr (Prandlt's number) at Ri=0
-! real :: lmin                ! minimum mixing length corresponding to the Kolmogov dissipation scale  in planetary atmospheres (Chen et al 2016, JGR Atmos)
-! real :: ctkes               ! coefficient for surface TKE
-! real :: clmixshear          ! coefficient for mixing length depending on local wind shear
+! REAL :: kappa = 0.4         ! Von Karman constant
+! REAL :: cn                  ! Sm value at Ri=0
+! REAL :: cinf                ! Sm value at Ri=-Inf
+! REAL :: ri0                 ! Richardson number near zero to guarantee continuity in slope of Sm (stability function) at Ri=0
+! REAL :: ri1                 ! Richardson number near zero to guarantee continuity in slope of Pr (Prandlt's number) at Ri=0
+! REAL :: lmin                ! minimum mixing length corresponding to the Kolmogov dissipation scale  in planetary atmospheres (Chen et al 2016, JGR Atmos)
+! REAL :: ctkes               ! coefficient for surface TKE
+! REAL :: clmixshear          ! coefficient for mixing length depending on local wind shear
 
 ! Tunable parameters for the ATKE scheme and their range of values
 !!-------------------------------------------------------------------------------------------------------------
-! real :: cepsilon            ! controls the value of the dissipation length scale, range [1.2 - 10]
-! real :: cke                 ! controls the value of the diffusion coefficient of TKE, range [1 - 5]
-! real :: l0                  ! asymptotic mixing length far from the ground [m] (Sun et al 2011, JAMC), range [15 - 75]
-! real :: clmix               ! controls the value of the mixing length in stratified conditions, range [0.1 - 2]
-! real :: ric                 ! critical Richardson number controlling the slope of Sm in stable conditions, range [0.19 - 0.25]
-! real :: smmin               ! minimum value of Sm in very stable conditions (defined here as minsqrt(Ez/Ek)) at large Ri, range [0.025 - 0.1]
-! real :: pr_neut             ! neutral value of the Prandtl number (Ri=0), range [0.7 - 1]
-! real :: pr_slope            ! linear slope of Pr with Ri in the very stable regime, range [3 - 5]
-! real :: cinffac             ! ratio between cinf and cn controlling the convective limit of Sm, range [1.2 - 5.0]
-! real :: pr_asym             ! value of Prandlt in the convective limit(Ri=-Inf), range [0.3 - 0.5]
+! REAL :: cepsilon            ! controls the value of the dissipation length scale, range [1.2 - 10]
+! REAL :: cke                 ! controls the value of the diffusion coefficient of TKE, range [1 - 5]
+! REAL :: l0                  ! asymptotic mixing length far from the ground [m] (Sun et al 2011, JAMC), range [15 - 75]
+! REAL :: clmix               ! controls the value of the mixing length in stratified conditions, range [0.1 - 2]
+! REAL :: ric                 ! critical Richardson number controlling the slope of Sm in stable conditions, range [0.19 - 0.25]
+! REAL :: smmin               ! minimum value of Sm in very stable conditions (defined here as minsqrt(Ez/Ek)) at large Ri, range [0.025 - 0.1]
+! REAL :: pr_neut             ! neutral value of the Prandtl number (Ri=0), range [0.7 - 1]
+! REAL :: pr_slope            ! linear slope of Pr with Ri in the very stable regime, range [3 - 5]
+! REAL :: cinffac             ! ratio between cinf and cn controlling the convective limit of Sm, range [1.2 - 5.0]
+! REAL :: pr_asym             ! value of Prandlt in the convective limit(Ri=-Inf), range [0.3 - 0.5]
 !!-------------------------------------------------------------------------------------------------------------
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5116)
@@ -81,5 +81,5 @@
     CALL getin_p('iflag_atke_lmix', iflag_atke_lmix)
 
-    if (iflag_atke == 0 .and. iflag_atke_lmix>0) then
+    if (iflag_atke == 0 .and. iflag_atke_lmix>0) THEN
       CALL abort_physic("atke_turbulence_ini", &
               'stationary scheme must use mixing length formulation not depending on tke', 1)
@@ -121,5 +121,5 @@
     CALL getin_p('atke_cinffac', cinffac)
     cinf = cinffac * cn
-    if (cinf <= cn) then
+    if (cinf <= cn) THEN
       CALL abort_physic("atke_turbulence_ini", &
               'cinf cannot be lower than cn', 1)
@@ -134,5 +134,5 @@
     pr_slope = 5.0 ! default value from Zilitinkevich et al. 2005
     CALL getin_p('atke_pr_slope', pr_slope)
-    if (pr_slope <= 1) then
+    if (pr_slope <= 1) THEN
       CALL abort_physic("atke_turbulence_ini", &
               'pr_slope has to be greater than 1 for consistency of the tke scheme', 1)
@@ -146,5 +146,5 @@
     pr_asym = 0.4
     CALL getin_p('atke_pr_asym', pr_asym)
-    if (pr_asym >= pr_neut) then
+    if (pr_asym >= pr_neut) THEN
       CALL abort_physic("atke_turbulence_ini", &
               'pr_asym must be be lower than pr_neut', 1)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5116)
@@ -225,5 +225,5 @@
               ! we thus solve the differential equation using an implicit scheme for both qb and qv
  
-              ! we do not consider deposition, only sublimation
+              ! we do not consider deposition, ONLY sublimation
               IF (zqv(i) < qsi(i)) THEN
                  rhoair=zpres(i)/ztemp(i)/RD
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5116)
@@ -65,5 +65,5 @@
 
                                
-IF (iflag_num_atke == 1) then
+IF (iflag_num_atke == 1) THEN
    !! In this case, we make an explicit prediction of the wind shear to calculate the tke in a
    !! forward backward way
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_cloud_optics_prop.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_cloud_optics_prop.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_cloud_optics_prop.F90	(revision 5116)
@@ -24,5 +24,5 @@
   
   USE icefrac_lsc_mod ! computes ice fraction (JBM 3/14)  
-  USE lmdz_lscp_tools, only: icefrac_lscp
+  USE lmdz_lscp_tools, ONLY: icefrac_lscp
 
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop_ini.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop_ini.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop_ini.F90	(revision 5116)
@@ -81,11 +81,11 @@
     cdnc_min_m3=cdnc_min*1.E6
     IF (cdnc_min_m3<0.) cdnc_min_m3=20.E6 ! astuce pour retrocompatibilite
-    write(lunout,*)'cdnc_min=', cdnc_min_m3/1.E6
+    WRITE(lunout,*)'cdnc_min=', cdnc_min_m3/1.E6
     CALL getin_p('cdnc_max',cdnc_max)
     cdnc_max_m3=cdnc_max*1.E6
     IF (cdnc_max_m3<0.) cdnc_max_m3=1000.E6 ! astuce pour retrocompatibilite
-    write(lunout,*)'cdnc_max=', cdnc_max_m3/1.E6
+    WRITE(lunout,*)'cdnc_max=', cdnc_max_m3/1.E6
     CALL getin_p('iflag_t_glace',iflag_t_glace)      
-    write(lunout,*)'iflag_t_glace= ',iflag_t_glace
+    WRITE(lunout,*)'iflag_t_glace= ',iflag_t_glace
     CALL getin_p('rad_chau1',rad_chau1)
     CALL getin_p('rad_chau2',rad_chau2)
